ubuntu/+source/rubygems:ubuntu/saucy-proposed

Last commit made on 2013-09-24
Get this branch:
git clone -b ubuntu/saucy-proposed https://git.launchpad.net/ubuntu/+source/rubygems
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/saucy-proposed
Repository:
lp:ubuntu/+source/rubygems

Recent commits

8b16c15... by Matthias Klose on 2013-09-24

Import patches-unapplied version 1.8.24-1ubuntu2 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 58072c46403b72edcc59cebf8e52859874b91eda

New changelog entries:
  * Ignore test failures with ruby1.8.

58072c4... by Tyler Hicks on 2012-09-28

Import patches-unapplied version 1.8.24-1ubuntu1 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 5078e5f65536b3ac1011a9aac8c8d4b7cbc36ebf

New changelog entries:
  * Make the RubyGems fetcher use distro-provided ca-certificates
    (LP: #1057926)
    - debian/control: Add ca-certificates to rubygems depends so that
      rubygems can perform certificate verification
    - debian/rules: Don't install SSL certificates from upstream sources
    - debian/patches/20120927-disable_upstream_certs.patch: Use
      /etc/ssl/certs/ca-certificates.crt for the trusted CA certificates.

5078e5f... by daigo on 2012-06-09

Import patches-unapplied version 1.8.24-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 50e52332f0f63039f484b97b312ba91ff947a5da

New changelog entries:
  * New upstream release. (Closes: #670228)
    - Fixes CVE-2012-2125 CVE-2012-2126.
  * debian/control:
    - Build-Depends on debhelper (>= 8.1.0). (Closes: #667054)
    - Bumps up Standards-Version to 3.9.3.
    - rubygems-doc no longer depends on rubygems,
      fixing a lintian warning: doc-package-depends-on-main-package.
  * Added a patch: debian/patches/20120608-fix-test_gem_platform.rb.diff
    - Imported from the upstream 4a85e2ac70579c32031766338505e85b2c392b27.
  * Added a patch: debian/patches/20120608-fix-assert_match.diff
    - Fixes the incorrect use of assert_match. (Closes: #674401)

50e5233... by daigo on 2012-01-21

Import patches-unapplied version 1.8.15-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 361e96cfe55a9e54aad90bec2935b3e66d8971fc

New changelog entries:
  * New upstream release.
  * debian/control: Build-Depends netbase as well to pass test cases.
    Thanks to Daniel Schepler for reporting and resolving this issue.
    (Closes: #655549)
  * debian/control: Priority's of rubygems1.8 and rubygems-doc are now
    extra, fixing lintian warnings.
  * debian/copyright: Fixed lintian warnings.

361e96c... by Lucas Nussbaum <email address hidden> on 2011-12-20

Import patches-unapplied version 1.8.12-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 667a18c7668e1f20b26ffde2d9d61ba1bfd2e1f8

New changelog entries:
  * New upstream release.

667a18c... by Lucas Nussbaum <email address hidden> on 2011-10-07

Import patches-unapplied version 1.8.10-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8419ca15bf69270a602928e95d5f1eeb9cbb65d0

New changelog entries:
  * debian/watch: point to rubygems.org
  * debian/copyright: change to a working url in Format: field
  * Add build-dependency on ruby-minitest.
  * switch to my @d.o email.
  * Refresh patches:
    + 08_tighter_search_regex.diff: drop.
    + 01_default_gem_path.diff: refresh.
    + disable-failing-tests.diff: refresh.
    + disable-tests-failing-as-root.diff: refresh.
  * Bump standards-version to 3.9.2. No changes needed.
  * disable-failing-tests.diff: add more failing tests.

8419ca1... by daigo on 2011-04-29

Import patches-unapplied version 1.7.2-1 to debian/sid

Imported using git-ubuntu import.